# What the subuser program serializes to disk

The subuser program serialzes data about which subusers are installed, which repositories are tracked, which Docker images have been installed through subuser ect. It also accesses user set and system wide configuration files.

- The config.json file format
  - Properties
- The installed-images.json file format
- Depricated:
- Runtime cache
- Service lock files
  - Services
    - xpra service containers
- The subuser registry
  - The registry.lock file format
  - The subusers.json file format
  - The repositories.json file format
    - Properties
    - Example repositories.json file
  - The repository-states.json file format
    - Properties
  - The permissions.json and permissions-template.json files
- The locked-subusers.json file format